DATABASES['default']['TEST'] = {
    'NAME': 'test-db.sqlite3',
}

LANGUAGE_CODE = 'en-us'

KNOWN_SERVICES = {
    'wcs': {
        'default': {'title': 'test', 'url': 'http://127.0.0.1:8999/',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://127.0.0.1:8999/backoffice/',},
        'other': {'title': 'test2', 'url': 'http://127.0.0.2:8999/',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://127.0.0.2:8999/backoffice/',},
    },
    'passerelle': {
        'default': {'title': 'test', 'url': 'http://example.org',
                    'secret': 'combo', 'orig': 'combo',
                    'backoffice-menu-url': 'http://example.org/manage/',}
    },
    'chrono': {
        'default': {
            'title': 'test', 'url': 'http://chrono.example.org',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://chrono.example.org/manage/',
            'secondary': False,
        },
        'other': {
            'title': 'other', 'url': 'http://other.chrono.example.org',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://other.chrono.example.org/manage/',
            'secondary': True,
        }
    }
}

MESSAGE_STORAGE = 'django.contrib.messages.storage.session.SessionStorage'

LINGO_API_SIGN_KEY = '12345'
LINGO_SIGNATURE_KEY = '54321'

COMBO_DASHBOARD_ENABLED = True

import tempfile
MEDIA_ROOT = tempfile.mkdtemp('combo-test')

HAYSTACK_CONNECTIONS['default']['PATH'] = os.path.join(
        tempfile.mkdtemp('combo-test-whoosh'))

if 'DISABLE_MIGRATIONS' in os.environ:
    class DisableMigrations(object):
        def __contains__(self, item):
            return True

        def __getitem__(self, item):
            return 'notmigrations'

    MIGRATION_MODULES = DisableMigrations()


FAMILY_SERVICE = {'root': '/'}

BOOKING_CALENDAR_CELL_ENABLED = True
NEWSLETTERS_CELL_ENABLED = True
